/* large reset incoming */

/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
* {
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
}

/* post reset */

html,
body {
  /* font-family: 'Roboto', 'Ubuntu', sans-serif; */
  font-family: 'Ubuntu', sans-serif;
  /* color: #5E6164; */
  color: white;
  background-color: black;
}
h1,
h2,
h3,
h4,
h5 {
  /* font-family: 'Russo One', sans-serif; */
  font-family: 'Roboto', 'Russo One', sans-serif;
  /* color: #23293B; */
  color: white;
}
h1 {
  font-size: 4rem;
  font-weight: bold;
  position: relative;
}
h2 {
  font-size: 3.2rem;
}
h3 {
  font-size: 2.1rem;
  position: relative;
}
p {
  font-size: 1.6rem;
  line-height: 1.4;
}
a {
  text-decoration: none;
  color: white;
  font-size: 1.6rem;
}
.container {
  position: relative;
  text-align: center;
  color: white;
  margin: 0 auto;
}

.navbar {
  display: flex;
  justify-content: center;

  position: absolute;
  top: 5%;
  left: 50%;
  transform: translate(-50%, -50%);

  display: none;
}

.nav-links {
  display: flex;
  justify-content: space-between;
  width: 800px;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 300px;
  height: 50px;
}

nav a {
  -webkit-transition: color .5s ease;
  -o-transition: color .5s ease;
  -moz-transition: color .5s ease;
  transition: color .5s ease;
}

nav a:hover {
  color: #1ccea2;
}

.jumbo-items {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  height: 300px;


  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.headline {
  padding: 13px;
  text-shadow: 2px 2px 5px black;
}

.tagline {
  padding: 0 13px 13px;
  text-shadow: 1px 1px 5px black;
}

.jumbo-img {
  width: 100%;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  opacity: .3;
  filter: alpha(opacity=30);
}


@media (max-width: 1000px) {
  .jumbo-img {
    height: 100vh;
    width: 100%;
  }
}

.pro-pic {
  width: 190px;
  border-radius: 50%;
  position: relative;
  /* border: 5px solid #1ccea2; */
  /* possibly use above color  */
}

.github-icon {
  width: 40px;
  border-radius: 50%;
  position: relative;

  transition: all .5s ease;
  -webkit-transition: all .5s ease;
  -o-transition: all .5s ease;
  -moz-transition: all .5s ease;

  padding: 7px;
  background-color: white;
}

.github-icon:hover {
  filter: invert(100%);
}

@media (max-width: 800px) {
  h1 {
    font-size: 3rem;
  }

  h3 {
    font-size: 2rem;
  }

  .headline {
    padding: 23px;
  }

  .tagline {
    padding: 0 23px 23px;
  }

  .github-icon {
    width: 55px;
  }

  body {
    position: relative;
    top: 120px;
  }

  .jumbo-vid {
    position: relative;
    bottom: 120px;
  }
}

/* animations */

.js-loading *,
.js-loading *:before,
.js-loading *:after {
  animation-play-state: paused !important;
}

/* The animation code */
@keyframes fade {
  from {opacity: 0;}
  to {opacity: 1;}
}

@-webkit-keyframes fade {
  from {opacity: 0;}
  to {opacity: 1;}
}

@-moz-keyframes fade {
  from {opacity: 0;}
  to {opacity: 1;}
}

@-o-keyframes fade {
  from {opacity: 0;}
  to {opacity: 1;}
}


@keyframes slide {
  from {top: 100px;}
  to {top: 0;}
}

@-webkit-keyframes slide {
  from {top: 100px;}
  to {top: 0;}
}

@-moz-keyframes slide {
  from {top: 100px;}
  to {top: 0;}
}

@-o-keyframes slide {
  from {top: 100px;}
  to {top: 0;}
}

/* The element to apply the animation to */
h1, h3, .github-icon, .pro-pic {
  animation: slide 1s ease, fade 1s ease;
  -webkit-animation: slide 1s ease, fade 1s ease;
  -o-animation: slide 1s ease, fade 1s ease;
  -moz-animation: slide 1s ease, fade 1s ease;
}

.jumbo-vid {
   animation: fade 5s;
  -webkit-animation: fade 5s;
  -o-animation: fade 5s;
  -moz-animation: fade 5s;
}
